# Class Bbcage

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.FontLineShape
org.jmol.shape.Bbcage

public class Bbcage extends FontLineShape

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`isVisible`

### Fields inherited from class FontLineShape

`font3d, tickInfos`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Bbcage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initShape()`
`void`
`setModelVisibilityFlags(BS bs)`
`void`
`setProperty(String propertyName, Object value, BS bs)`

### Methods inherited from class FontLineShape

`getShapeState, setPropFLS`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setProperties, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### isVisible

public boolean isVisible

## Constructor Details

### Bbcage

public Bbcage()

## Method Details

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### initShape

public void initShape()

Overrides:
  `initShape` in class `FontLineShape`

### setModelVisibilityFlags

public void setModelVisibilityFlags(BS bs)

Overrides:
  `setModelVisibilityFlags` in class `Shape`
Parameters:
  `bs` -